Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.theme.plugin.impl
Class DefaultThemeTextItem

    java.lang.Object
      com.ibm.portal.theme.plugin.impl.DefaultThemeContent
          com.ibm.portal.theme.plugin.impl.DefaultThemeTextItem

All Implemented Interfaces:
  Localized, ThemeContentDescriptorConstants, ThemeItemDescriptorConstants, ThemeContent, ThemeItem, ThemeTextItem

    public class DefaultThemeTextItem

extends DefaultThemeContent
implements ThemeTextItem

Generates some text to contribute to a theme extension point. This extension will parse the plugin.xml and generate some text.

This class may be sub-classed by developers.

Markup description:

Element name: item

Attributes:

- id
- class
- ordinal
- title
- description
- tooltip
- text

Since:
  6.0
Note:

  This interface is designed to be implemented by clients.

Field Summary
`static java.lang.String` | `TEXT_ATTRIBUTE` The `TEXT_ATTRIBUTE` should contain the text to contribute to the theme.

Fields inherited from class com.ibm.portal.theme.plugin.impl.DefaultThemeContent
`context, description, ordinal, title`

Fields inherited from interface com.ibm.portal.theme.plugin.impl.ThemeItemDescriptorConstants
`ELEMENT_NAME, TOOLTIP_ATTRIBUTE`

Fields inherited from interface com.ibm.portal.theme.plugin.impl.ThemeContentDescriptorConstants
`CLASS_ATTRIBUTE, DESCR_ATTRIBUTE, ID_ATTRIBUTE, ORDINAL_ATTRIBUTE, TITLE_ATTRIBUTE`

Constructor Summary
`DefaultThemeTextItem()`

Method Summary
`java.lang.String` | `getText(java.util.Locale locale)` Return the text for the specified locale.
`void` | `setInitializationData(IConfigurationElement element, java.lang.String arg1, java.lang.Object arg2)`

Methods inherited from class com.ibm.portal.theme.plugin.impl.DefaultThemeContent
`getDescription, getLocales, getOrdinal, getRequest, getResponse, getTitle, getTooltip, init, isActive, newIconURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.portal.theme.plugin.ThemeItem
`getTooltip, newIconURL`

Methods inherited from interface com.ibm.portal.theme.plugin.ThemeContent
`getOrdinal, init`

Methods inherited from interface com.ibm.portal.Localized
`getDescription, getLocales, getTitle`

Field Detail

### TEXT_ATTRIBUTE

    public static final java.lang.String TEXT_ATTRIBUTE

  The `TEXT_ATTRIBUTE` should contain the text to contribute to the theme.

  See Also:
    Constant Field Values

Constructor Detail

### DefaultThemeTextItem

    public DefaultThemeTextItem()

Method Detail

### getText

    public java.lang.String getText(java.util.Locale locale)

  Description copied from interface: `ThemeTextItem`
  Return the text for the specified locale. If the text doesn't exist for the locale, a `null` value is returned.

  Specified by:
    `getText` in interface `ThemeTextItem`
  Parameters:
    `locale` - the current locale
  Returns:
    the text or `null`

### setInitializationData

    public void setInitializationData(IConfigurationElement element,
                                      java.lang.String arg1,
                                      java.lang.Object arg2)
                               throws CoreException

  Overrides:
    `setInitializationData` in class `DefaultThemeContent`
  Throws:
    `CoreException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD